//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"

#include "BigCircle.h"
#include "MainAtlas.h"

//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Part1_Introduction.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Part2_TheBladeInMyChest.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Part3_OurStoriesAreWrong.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NumberStation_letter_ys.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NumberStation_oblique.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NumberStation_ready_ready.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NumberStation_rough_tones.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Music_PhaseDrift2.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Part4_KandinskyColourForm.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Part5_Hints.ogg"));
	registerSingleImage(shared_ptr<SingleImage>(new BigCircle()));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Music_BarsDrone.ogg"));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new MainAtlas()));
}
